ch.hevs.isi.field

## Class FloatRegister

- java.lang.Object
- - ch.hevs.isi.field.ModbusRegister
  - - ch.hevs.isi.field.FloatRegister

    public class FloatRegister
    extends ModbusRegister

### Constructor Summary

Constructors
Constructor and Description
`FloatRegister(java.lang.String label, boolean isOutPut, int address, int range, int offset)` public constructor of the Float Register

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `read()` function to read a datapoint from the modbus register
`void` `write(DataPoint dp)` function to write datapoint on the modbus register

### Methods inherited from class ch.hevs.isi.field.ModbusRegister

`getAddress, getRegisterFromDatapoint, poll, updateMapOfRegisters`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FloatRegister

    public FloatRegister(java.lang.String label,
                         boolean isOutPut,
                         int address,
                         int range,
                         int offset)

public constructor of the Float Register

Parameters:
  `label` - label of the datapoint
  `isOutPut` - true if it is an output datapoint
  `address` - modbus address of the datapoint
  `range` - range of the datapoint value
  `offset` - offset of the datapoint value

### Method Detail

#### read

    public void read()

Description copied from class: `ModbusRegister`
function to read a datapoint from the modbus register

Specified by:
  `read` in class `ModbusRegister`

#### write

    public void write(DataPoint dp)

Description copied from class: `ModbusRegister`
function to write datapoint on the modbus register

Specified by:
  `write` in class `ModbusRegister`
Parameters:
  `dp` - datapoint to write on the address